### MATLAB_SBML_STRUCTURE_FUNCTIONS\ASSIGNMENTRULE

The functions allow users to create and work with the SBML AssignmentRule structure.

Function are:

#### AssignmentRule = AssignmentRule_create(level(optional), version(optional) )

Takes

1. level, an integer representing an SBML level (optional)
2. version, an integer representing an SBML version (optional)

Returns

1. a MATLAB_SBML AssignmentRule structure of the appropriate level and version

NOTE: the optional level and version preserve backwards compatibility a missing version argument will default to L1V2; L2V4 or L3V1 missing both arguments will default to L3V1

#### formula = AssignmentRule_getFormula(SBMLAssignmentRule)

Takes

1. SBMLAssignmentRule, an SBML AssignmentRule structure

Returns

1. the value of the formula attribute

#### metaid = AssignmentRule_getMetaid(SBMLAssignmentRule)

Takes

1. SBMLAssignmentRule, an SBML AssignmentRule structure

Returns

1. the value of the metaid attribute

#### sboTerm = AssignmentRule_getSBOTerm(SBMLAssignmentRule)

Takes

1. SBMLAssignmentRule, an SBML AssignmentRule structure

Returns

1. the value of the sboTerm attribute

#### variable = AssignmentRule_getVariable(SBMLAssignmentRule)

Takes

1. SBMLAssignmentRule, an SBML AssignmentRule structure

Returns

1. the value of the variable attribute

#### value = AssignmentRule_isSetFormula(SBMLAssignmentRule)

Takes

1. SBMLAssignmentRule, an SBML AssignmentRule structure

Returns

1. value =
   - 1 if the formula attribute is set
   - 0 otherwise

#### value = AssignmentRule_isSetMetaid(SBMLAssignmentRule)

Takes

1. SBMLAssignmentRule, an SBML AssignmentRule structure

Returns

1. value =
   - 1 if the metaid attribute is set
   - 0 otherwise

#### value = AssignmentRule_isSetSBOTerm(SBMLAssignmentRule)

Takes

1. SBMLAssignmentRule, an SBML AssignmentRule structure

Returns

1. value =
   - 1 if the sboTerm attribute is set
   - 0 otherwise

#### value = AssignmentRule_isSetVariable(SBMLAssignmentRule)

Takes

1. SBMLAssignmentRule, an SBML AssignmentRule structure

Returns

1. value =
   - 1 if the variable attribute is set
   - 0 otherwise

#### SBMLAssignmentRule = AssignmentRule_setFormula(SBMLAssignmentRule, formula)

Takes

1. SBMLAssignmentRule, an SBML AssignmentRule structure
2. formula; a string representing the formula to be set

Returns

1. the SBML AssignmentRule structure with the new value for the formula attribute

#### SBMLAssignmentRule = AssignmentRule_setMetaid(SBMLAssignmentRule, metaid)

Takes

1. SBMLAssignmentRule, an SBML AssignmentRule structure
2. metaid; a string representing the metaid to be set

Returns

1. the SBML AssignmentRule structure with the new value for the metaid attribute

#### SBMLAssignmentRule = AssignmentRule_setSBOTerm(SBMLAssignmentRule, sboTerm)

Takes

1. SBMLAssignmentRule, an SBML AssignmentRule structure
2. sboTerm, an integer representing the sboTerm to be set

Returns

1. the SBML AssignmentRule structure with the new value for the sboTerm attribute

#### SBMLAssignmentRule = AssignmentRule_setVariable(SBMLAssignmentRule, variable)

Takes

1. SBMLAssignmentRule, an SBML AssignmentRule structure
2. variable; a string representing the variable to be set

Returns

1. the SBML AssignmentRule structure with the new value for the variable attribute

#### SBMLAssignmentRule = AssignmentRule_unsetFormula(SBMLAssignmentRule)

Takes

1. SBMLAssignmentRule, an SBML AssignmentRule structure

Returns

1. the SBML AssignmentRule structure with the formula attribute unset

#### SBMLAssignmentRule = AssignmentRule_unsetMetaid(SBMLAssignmentRule)

Takes

1. SBMLAssignmentRule, an SBML AssignmentRule structure

Returns

1. the SBML AssignmentRule structure with the metaid attribute unset

#### SBMLAssignmentRule = AssignmentRule_unsetSBOTerm(SBMLAssignmentRule)

Takes

1. SBMLAssignmentRule, an SBML AssignmentRule structure

Returns

1. the SBML AssignmentRule structure with the sboTerm attribute unset

#### SBMLAssignmentRule = AssignmentRule_unsetVariable(SBMLAssignmentRule)

Takes

1. SBMLAssignmentRule, an SBML AssignmentRule structure

Returns

1. the SBML AssignmentRule structure with the variable attribute unset